Bug 825522 - Fedora provides a tainted kernel
Fedora provides a tainted kernel
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-27 07:15 EDT by Marek
Modified: 2012-05-29 17:09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-29 17:09:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
today's dmesg output (65.83 KB, text/plain)
2012-05-29 14:54 EDT, Marek
no flags Details
/var/log/messages snippet (3.81 KB, text/plain)
2012-05-29 15:55 EDT, Marek
no flags Details

  None (edit)
Description Marek 2012-05-27 07:15:39 EDT
Description of problem:
Your kernel is tainted by flags '          C '. Kernel maintainers are not interesting about tainted kernel, because the trace might not be showing the root problem.

WARNING: at drivers/gpu/drm/i915/i915_irq.c:652 ironlake_irq_handler+0x4ea/0x500 [i915]()


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Marek 2012-05-27 07:16:54 EDT
uname -r
3.3.6-3.fc16.x86_64
Comment 2 Dave Jones 2012-05-29 14:05:11 EDT
what modules do you have loaded ?
Comment 3 Marek 2012-05-29 14:12:12 EDT
$ sudo lsmod
Module                  Size  Used by
vfat                   17411  0 
fat                    60279  1 vfat
usb_storage            52112  0 
tcp_lp                 12663  0 
ppdev                  17635  0 
parport_pc             28082  0 
lp                     17874  0 
parport                44515  3 ppdev,parport_pc,lp
nfs                   403164  1 
fscache                55132  1 nfs
auth_rpcgss            52126  1 nfs
nfs_acl                12741  1 nfs
lockd                  84763  1 nfs
ip6t_REJECT            12939  2 
nf_conntrack_ipv6      14290  1 
nf_defrag_ipv6         18139  1 nf_conntrack_ipv6
ip6table_filter        12815  1 
ip6_tables             26976  1 ip6table_filter
ipt_LOG                12993  1 
xt_limit               12711  1 
nf_conntrack_ipv4      14622  1 
nf_defrag_ipv4         12673  1 nf_conntrack_ipv4
xt_state               12578  2 
nf_conntrack           82286  3 nf_conntrack_ipv6,nf_conntrack_ipv4,xt_state
sunrpc                235361  15 nfs,auth_rpcgss,nfs_acl,lockd
snd_hda_codec_realtek   145364  1 
binfmt_misc            17431  1                                                                                                                                                                              
raid1                  35373  1                                                                                                                                                                              
uvcvideo               76346  0                                                                                                                                                                              
videobuf2_core         31894  1 uvcvideo                                                                                                                                                                     
videodev              106837  2 uvcvideo,videobuf2_core                                                                                                                                                      
snd_usb_audio         125603  1                                                                                                                                                                              
media                  20444  2 uvcvideo,videodev                                                                                                                                                            
snd_usbmidi_lib        24695  1 snd_usb_audio                                                                                                                                                                
videobuf2_vmalloc      12967  1 uvcvideo                                                                                                                                                                     
snd_rawmidi            29461  1 snd_usbmidi_lib                                                                                                                                                              
videobuf2_memops       13262  1 videobuf2_vmalloc                                                                                                                                                            
joydev                 17412  0                                                                                                                                                                              
snd_hda_intel          33276  2                                                                                                                                                                              
snd_hda_codec         115767  2 snd_hda_codec_realtek,snd_hda_intel                                                                                                                                          
snd_hwdep              17611  2 snd_usb_audio,snd_hda_codec                                                                                                                                                  
snd_seq                64807  0                                                                                                                                                                              
snd_seq_device         14129  2 snd_rawmidi,snd_seq                                                                                                                                                          
snd_pcm                97170  3 snd_usb_audio,snd_hda_intel,snd_hda_codec                                                                                                                                    
microcode              23348  0 
i2c_i801               17765  0 
iTCO_wdt               17948  0 
uinput                 17606  0 
snd_timer              28815  2 snd_seq,snd_pcm
serio_raw              13371  0 
iTCO_vendor_support    13419  1 iTCO_wdt
snd                    78908  17 snd_hda_codec_realtek,snd_usb_audio,snd_usbmidi_lib,snd_rawmidi,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
e1000e                198408  0 
soundcore              14484  1 snd
snd_page_alloc         18101  2 snd_hda_intel,snd_pcm
i915                  466809  3 
drm_kms_helper         40231  1 i915
drm                   242003  4 i915,drm_kms_helper
i2c_algo_bit           13156  1 i915
i2c_core               37991  6 videodev,i2c_i801,i915,drm_kms_helper,drm,i2c_algo_bit
video                  18932  1 i915
Comment 4 Dave Jones 2012-05-29 14:29:37 EDT
dmesg output please ?
(you can attach long text outputs instead of pasting them, makes it easier to read).
Comment 5 Marek 2012-05-29 14:54:12 EDT
Created attachment 587484 [details]
today's dmesg output
Comment 6 Dave Jones 2012-05-29 14:58:05 EDT
hmm, need to see the message from the 'drivers/gpu/drm/i915/i915_irq.c:' report. Hunt for it in /var/log/messages, and attach that please.

The actual bug is already reported (many times), so I'm just curious here to find out what is caused the tainted kernel.
Comment 7 Dave Jones 2012-05-29 14:58:43 EDT
(to clarify, that warning should be accompanied by a list of modules in the log)
Comment 8 Marek 2012-05-29 15:49:11 EDT
Here it comes (and yes I have a cheeky kernel ;-) )


May 26 13:16:01 cheeky kernel: [22184.982710] ------------[ cut here ]------------
May 26 13:16:01 cheeky kernel: [22184.982727] WARNING: at drivers/gpu/drm/i915/i915_irq.c:652 ironlake_irq_handler+0x4ea/0x500 [i915]()
May 26 13:16:01 cheeky kernel: [22184.982728] Hardware name:
May 26 13:16:01 cheeky kernel: [22184.982729] Missed a PM interrupt
May 26 13:16:01 cheeky kernel: [22184.982730] Modules linked in: tcp_lp ppdev parport_pc lp parport nfs fscache auth_rpcgss nfs_acl vboxpci(O) vboxnetadp(O) vboxnetflt(O) lockd vboxdrv(O) ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables ipt_LOG xt_limit nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack sunrpc binfmt_misc snd_hda_codec_realtek raid1 uvcvideo videobuf2_core snd_usb_audio videodev snd_usbmidi_lib media videobuf2_vmalloc snd_rawmidi videobuf2_memops joydev snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm uinput iTCO_wdt microcode iTCO_vendor_support serio_raw i2c_i801 e1000e snd_timer snd soundcore snd_page_alloc i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
May 26 13:16:01 cheeky kernel: [22184.982756] Pid: 0, comm: swapper/0 Tainted: G         C O 3.3.6-3.fc16.x86_64 #1
May 26 13:16:01 cheeky kernel: [22184.982757] Call Trace:
May 26 13:16:01 cheeky kernel: [22184.982758]  <IRQ>  [<ffffffff81057abf>] warn_slowpath_common+0x7f/0xc0
May 26 13:16:01 cheeky kernel: [22184.982765]  [<ffffffff81057bb6>] warn_slowpath_fmt+0x46/0x50
May 26 13:16:01 cheeky kernel: [22184.982771]  [<ffffffffa007d90a>] ironlake_irq_handler+0x4ea/0x500 [i915]
May 26 13:16:01 cheeky kernel: [22184.982774]  [<ffffffff810e3be5>] handle_irq_event_percpu+0x55/0x220
May 26 13:16:01 cheeky kernel: [22184.982776]  [<ffffffff810e3df5>] handle_irq_event+0x45/0x70
May 26 13:16:01 cheeky kernel: [22184.982778]  [<ffffffff810e71aa>] handle_edge_irq+0x7a/0x120
May 26 13:16:01 cheeky kernel: [22184.982781]  [<ffffffff81016300>] handle_irq+0x60/0x150
May 26 13:16:01 cheeky kernel: [22184.982783]  [<ffffffff8105f3dc>] ? irq_enter+0x4c/0x90
May 26 13:16:01 cheeky kernel: [22184.982786]  [<ffffffff815fe1fa>] do_IRQ+0x5a/0xe0
May 26 13:16:01 cheeky kernel: [22184.982788]  [<ffffffff815f47ae>] common_interrupt+0x6e/0x6e
May 26 13:16:01 cheeky kernel: [22184.982789]  <EOI>  [<ffffffff8131b2d6>] ? intel_idle+0xe6/0x150
May 26 13:16:01 cheeky kernel: [22184.982792]  [<ffffffff8131b2b8>] ? intel_idle+0xc8/0x150
May 26 13:16:01 cheeky kernel: [22184.982796]  [<ffffffff814a45b1>] cpuidle_idle_call+0xc1/0x280
May 26 13:16:01 cheeky kernel: [22184.982798]  [<ffffffff8101322f>] cpu_idle+0xcf/0x120
May 26 13:16:01 cheeky kernel: [22184.982801]  [<ffffffff815d284e>] rest_init+0x72/0x74
May 26 13:16:01 cheeky kernel: [22184.982804]  [<ffffffff81cf0bf8>] start_kernel+0x3ba/0x3c5
May 26 13:16:01 cheeky kernel: [22184.982806]  [<ffffffff81cf0346>] x86_64_start_reservations+0x131/0x135
May 26 13:16:01 cheeky kernel: [22184.982808]  [<ffffffff81cf0140>] ? early_idt_handlers+0x140/0x140
May 26 13:16:01 cheeky kernel: [22184.982810]  [<ffffffff81cf044c>] x86_64_start_kernel+0x102/0x111
May 26 13:16:01 cheeky kernel: [22184.982812] ---[ end trace 18beaf282c7e09f3 ]---
May 26 13:16:02 cheeky abrt-dump-oops[1053]: abrt-dump-oops: Found oopses: 1
May 26 13:16:02 cheeky abrt-dump-oops[1053]: abrt-dump-oops: Creating dump directories
May 26 13:16:02 cheeky abrtd: Directory 'oops-2012-05-26-13:16:02-1053-0' creation detected
May 26 13:16:02 cheeky abrt-dump-oops: Reported 1 kernel oopses to Abrt
May 26 13:16:02 cheeky abrtd: Can't open file '/var/spool/abrt/oops-2012-05-26-13:16:02-1053-0/uid': No such file or directory
May 26 13:16:02 cheeky abrtd: New problem directory /var/spool/abrt/oops-2012-05-26-13:16:02-1053-0, processing
May 26 13:16:02 cheeky abrtd: Can't open file '/var/spool/abrt/oops-2012-05-26-13:16:02-1053-0/uid': No such file or directory
Comment 9 Marek 2012-05-29 15:55:33 EDT
Created attachment 587501 [details]
/var/log/messages snippet
Comment 10 Dave Jones 2012-05-29 17:09:22 EDT
oh, it's virtualbox. that explains it.

Note You need to log in before you can comment on or make changes to this bug.